"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.SettingsForm = SettingsForm;
var _react = _interopRequireWildcard(require("react"));
var _core = require("@formily/core");
var _classnames = _interopRequireDefault(require("classnames"));
var _builtins__ = require("@formily/antd-v5/lib/__builtins__");
var _schemaField = require("./schema-field");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function SettingsForm(_ref) {
  var className = _ref.className,
    style = _ref.style,
    settings = _ref.settings,
    schema = _ref.schema,
    components = _ref.components,
    scope = _ref.scope;
  var formWrapperCls = (0, _builtins__.usePrefixCls)('settings-form-wrapper');
  var form = (0, _react.useMemo)(function () {
    var values = settings.getValue();
    console.log('---initialValues', settings.getNode().componentMeta.configure.values());
    return (0, _core.createForm)({
      // initialValues: field.getNode().componentMeta.configure.values(),
      values: values,
      effects: function effects() {
        (0, _core.onFieldValueChange)('*', function (field) {
          var value = field.value;
          var key = field.path.toString();
          console.log('---value', field, key, value, '---');
          settings.setPropValue(key, value);
        });
        // onFormValuesChange(
        //   debounce((form) => {
        //     const values = form.values;
        //     console.log('---values', values, '---');
        //     field.getNode().setProps(values);
        //   }, 150),
        // );
      }
    });
  }, [settings]);
  console.log('---components', components, scope, _schemaField.SchemaField);
  return /*#__PURE__*/_react["default"].createElement(_schemaField.Form, {
    className: (0, _classnames["default"])('lc-settings-form', formWrapperCls, className),
    form: form,
    style: style,
    feedbackLayout: "terse",
    colon: false
  }, /*#__PURE__*/_react["default"].createElement(_schemaField.SchemaField, {
    schema: schema,
    components: components,
    scope: scope
  }));
}